Package org.apache.commons.text.translate

## Class UnicodeUnpairedSurrogateRemover

- java.lang.Object
- - org.apache.commons.text.translate.CharSequenceTranslator
  - - org.apache.commons.text.translate.CodePointTranslator
    - - org.apache.commons.text.translate.UnicodeUnpairedSurrogateRemover

-     public class UnicodeUnpairedSurrogateRemover
      extends CodePointTranslator

  Helper subclass to CharSequenceTranslator to remove unpaired surrogates.
  Since:
    1.0

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnicodeUnpairedSurrogateRemover()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `translate​(int codepoint, Writer out)` | Implementation of translate that throws out unpaired surrogates.

    - ### Methods inherited from class org.apache.commons.text.translate.CharSequenceTranslator

      `hex, translate, translate, with`

    - ### Methods inherited from class org.apache.commons.text.translate.CodePointTranslator

      `translate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnicodeUnpairedSurrogateRemover

          public UnicodeUnpairedSurrogateRemover()

  - ### Method Detail

    - #### translate

          public boolean translate​(int codepoint,
                                   Writer out)
                            throws IOException

      Implementation of translate that throws out unpaired surrogates. Translate the specified codepoint into another.
      Specified by:
        `translate` in class `CodePointTranslator`
      Parameters:
        `codepoint` - int character input to translate
        `out` - Writer to optionally push the translated output to
      Returns:
        boolean as to whether translation occurred or not
      Throws:
        `IOException` - if and only if the Writer produces an IOException

Copyright © 2014–2018 The Apache Software Foundation. All rights reserved.